/* CSS Spacing Properties */


/* ----------------------------- */
/* ----------------------------- */
/* ----------------------------- */


/* Padding elements */


/* All around */
.p-0 {
    padding: 0;
}

.p-1 {
    padding: 5px;
}

.p-2 {
    padding: 10px;
}

.p-3 {
    padding: 15px;
}

.p-4 {
    padding: 20px;
}

.p-5 {
    padding: 25px;
}

.p-10 {
    padding: 50px;
}

/* ----------------------------- */

/* X-axis padding */
.px-1 {
    padding-left: 5px;
    padding-right: 5px;
}

.px-2 {
    padding-left: 10px;
    padding-right: 10px;
}

.px-3 {
    padding-left: 15px;
    padding-right: 15px;
}

.px-4 {
    padding-left: 20px;
    padding-right: 20px;
}

.px-5 {
    padding-left: 25px;
    padding-right: 25px;
}

.px-6 {
    padding-left: 30px;
    padding-right: 30px;
}

.px-7 {
    padding-left: 35px;
    padding-right: 35px;
}

.px-8 {
    padding-left: 40px;
    padding-right: 40px;
}

.px-9 {
    padding-left: 45px;
    padding-right: 45px;
}

.px-10 {
    padding-left: 50px;
    padding-right: 50px;
}

/* Right padding */
.pr-0 {
    padding-right: 0 !important;
}

.pr-1 {
    padding-right: 5px !important;
}

.pr-2 {
    padding-right: 10px !important;
}

.pr-3 {
    padding-right: 15px !important;
}

.pr-4 {
    padding-right: 20px !important;
}

.pr-5 {
    padding-right: 25px !important;
}

.pr-10 {
    padding-right: 50px !important;
}

/* Left padding */
.pl-0 {
    padding-left: 0 !important;
}

.pl-1 {
    padding-left: 5px !important;
}

.pl-2 {
    padding-left: 10px !important;
}

.pl-3 {
    padding-left: 15px !important;
}

.pl-4 {
    padding-left: 20px !important;
}

.pl-5 {
    padding-left: 25px !important;
}

.pl-10 {
    padding-left: 50px;
}

/* ----------------------------- */

/* Y-axis padding */
.py-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.py-1 {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

.py-2 {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}

.py-3 {
    padding-top: 15px !important;
    padding-bottom: 15px !important;
}

.py-4 {
    padding-top: 20px !important;
    padding-bottom: 20px !important;
}

.py-5 {
    padding-top: 25px !important;
    padding-bottom: 25px !important;
}

.py-6 {
    padding-top: 30px !important;
    padding-bottom: 30px !important;
}

.py-7 {
    padding-top: 35px !important;
    padding-bottom: 35px !important;
}

.py-8 {
    padding-top: 40px !important;
    padding-bottom: 40px !important;
}

.py-9 {
    padding-top: 45px !important;
    padding-bottom: 45px !important;
}

.py-10 {
    padding-top: 50px !important;
    padding-bottom: 50px !important;
}

/* Top padding */
.pt-0 {
    padding-top: 0 !important;
}

.pt-half {
    padding-top: 2.5px !important;
}

.pt-1 {
    padding-top: 5px !important;
}

.pt-2 {
    padding-top: 5px !important;
}

.pt-3 {
    padding-top: 15px !important;
}

.pt-4 {
    padding-top: 20px !important;
}

.pt-5 {
    padding-top: 25px !important;
}

.pt-7 {
    padding-top: 35px !important;
}

.pt-10 {
    padding-top: 50px;
}

/* Bottom padding */
.pb-0 {
    padding-bottom: 0 !important;
}

.pb-1 {
    padding-bottom: 5px !important;
}

.pb-2 {
    padding-bottom: 10px !important;
}

.pb-3 {
    padding-bottom: 15px !important;
}

.pb-4 {
    padding-bottom: 20px !important;
}

.pb-5 {
    padding-bottom: 25px !important;
}

.pb-10 {
    padding-bottom: 50px !important;
}

/* End padding CSS */


/* ----------------------------- */
/* ----------------------------- */
/* ----------------------------- */


/* Margin Elements */

/* All around */
.m-0 {
    margin: 0 !important;
}

.m-1 {
    margin: 5px !important;
}

.m-2 {
    margin: 10px !important;
}

.m-3 {
    margin: 15px !important;
}

.m-4 {
    margin: 20px !important;
}

.m-5 {
    margin: 25px !important;
}

.m-10 {
    margin: 50px !important;
}

/* ----------------------------- */

/* X-axis margins */
.mx-0 {
    margin-right: 0 !important;
    margin-left: 0 !important;
}

.mx-1 {
    margin-right: 5px !important;
    margin-left: 5px !important;
}

.mx-2 {
    margin-right: 10px !important;
    margin-left: 10px !important;
}

.mx-3 {
    margin-right: 15px !important;
    margin-left: 15px !important;
}

.mx-4 {
    margin-right: 20px !important;
    margin-left: 20px !important;
}

.mx-5 {
    margin-right: 25px !important;
    margin-left: 25px !important;
}

.mx-10 {
    margin-right: 50px !important;
    margin-left: 50px !important;
}

/* Right margins */
.mr-0 {
    margin-right: 0 !important;
}

.mr-1 {
    margin-right: 5px !important;
}

.mr-2 {
    margin-right: 10px !important;
}

.mr-3 {
    margin-right: 15px !important;
}

.mr-4 {
    margin-right: 20px !important;
}

.mr-5 {
    margin-right: 25px !important;
}

/* Left margins */
.ml-0 {
    margin-left: 0 !important;
}

.ml-1 {
    margin-left: 5px !important;
}

.ml-2 {
    margin-left: 10px !important;
}

.ml-3 {
    margin-left: 15px !important;
}

.ml-4 {
    margin-left: 20px !important;
}

.ml-5 {
    margin-left: 25px !important;
}

/* ----------------------------- */

/* Y-axis margins */
.my-0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.my-1 {
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

.my-2 {
    margin-top: 10px !important;
    margin-bottom: 10px !important;
}

.my-3 {
    margin-top: 15px !important;
    margin-bottom: 15px !important;
}

.my-4 {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

.my-5 {
    margin-top: 25px !important;
    margin-bottom: 25px !important;
}

/* Top margins */
.mt-0 {
    margin-top: 0 !important;
}

.mt-1 {
    margin-top: 5px !important;
}

.mt-2 {
    margin-top: 10px !important;
}

.mt-3 {
    margin-top: 15px !important;
}

.mt-4 {
    margin-top: 20px !important;
}

.mt-5 {
    margin-top: 25px !important;
}

.mb-0 {
    margin-bottom: 0 !important;
}

/* Bottom margins */
.mb-0 {
    margin-bottom: 0 !important;
}

.mb-1 {
    margin-bottom: 5px !important;
}

.mb-2 {
    margin-bottom: 10px !important;
}

.mb-3 {
    margin-bottom: 15px !important;
}

.mb-4 {
    margin-bottom: 20px !important;
}

.mb-5 {
    margin-bottom: 25px !important;
}

.mb-10 {
    margin-bottom: 50px !important;
}

/* End Margins CSS */


/* ----------------------------- */
/* ----------------------------- */
/* ----------------------------- */


/* Aligning Items CSS */


/* Justify content */
.justify-content-start {
    justify-content: start !important;
}

.justify-content-between {
    justify-content: space-between !important;
}

.justify-content-evenly {
    justify-content: space-evenly !important;
}

.justify-content-around {
    justify-content: space-around !important;
}

.justify-content-center {
    justify-content: center !important;
}

.justify-content-end {
    justify-content: end !important;
}

/* ----------------------------- */

/* Align content */
.align-items-start {
    align-items: start !important;
}

.align-items-center {
    align-items: center !important;
}

.align-items-end {
    align-items: end !important;
}

.text-start {
    text-align: start !important;
}

.text-end {
    text-align: end !important;
}

.text-center {
    text-align: center !important;
}

/* End Aligning Items */

/* ----------------------------- */

/* Position content */
.top-0 {
    top: 0 !important;
}

.right-0 {
    right: 0 !important;
}

.bottom-0 {
    bottom: 0 !important;
}

.left-0 {
    left: 0 !important;
}


/* ----------------------------- */
/* ----------------------------- */
/* ----------------------------- */